ruby、rubygemsのインストール

最新安定版であるruby 1.8.7-p72(2008-08-28現在)をインストール。
ダウンロード

$ wget ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p72.tar.gz
$ tar xzvf ruby-1.8.7-p72.tar.gz
$ cd ruby-1.8.7-p72
$ ./configure
$ make
$ sudo make install

rubygemsをインストール。

$ wget http://rubyforge.org/frs/download.php/38646/rubygems-1.2.0.tgz
$ tar xvzf rubygems-1.2.0.tgz
$ cd rubygems-1.2.0
$ sudo ruby setup.rb

ここでzlibがないというエラーになる場合は、
zlib-develをインストール。

$ sudo yum install zlib-devel

rubyのソースを解凍したディレクトリに移動しext/zlibに行き、zlibの設定。

$cd ~/src/cd ruby-1.8.7-p72/ext/zlib
$ ruby extconf.rb --with-zlib-include=/usr/include -with-zlib-lib=/usr/lib
$ make
$ sudo make install

再びrubygemsのインストール。

$ sudo ruby setup.rb

RubyGems Manuals

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください